Get all fact-find templates Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by name or display name. Partial filter.
-
Filter by published status.
-
Filter archived templates. One of: exclude (default), only, include.
-
Filter templates created on or after this date (Y-m-d).
-
Filter templates created on or before this date (Y-m-d).
-
Field to sort by. Valid fields are [created_at, updated_at, name, active_sessions_count]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/fact-find/templates
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "0a0ecb69-158b-4c76-a0e4-307005eda497",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-29T16:30:06+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "4a2326fe-833b-4f8b-9c12-7acd376ea223",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"fact_find_template": {
"uuid": "230cc522-a328-4407-b4c6-70fdc2869e8b",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-29T16:30:12+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "3a6cfd55-174b-4d40-944d-2a94630319f0",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
]
}